/*
 * @Descripttion:
 * @version:
 * @Author: 王三华
 * @Date: 2023-11-02 11:07:10
 */
const http = uni.$u.http;

// 货币种类枚举列表
export const accountList = (params) =>
  http.get('/system/pub/enums/account', { params });
// 业绩汇总
export const memberStructure = (params) =>
  http.get('/member/manage/member-structure/list', { params });
// 奖金波比列表
export const bonusList = (params) =>
  http.get('/member/manage/bonus-statis/list', { params });
// 拨比列表小计
export const subtotal = (params) =>
  http.get('/member/manage/bonus-statis/subtotal', { params });
// 收益类型
export const getYieldType = (params) =>
  http.get('/system/manage/bd-bonus-items/list', { params });
// 收益状态
export const getYieldStatus = (params) =>
  http.get('/system/pub/enums/bonus-income-status', { params });
// 订单类型枚举
export const getOrderType = (params) =>
  http.get('/system/pub/enums/order-type', { params });
// 获取全部国家下拉接口
export const getcountryAllList = (params) =>
  http.get('/system/manage/country/find-all', { params });
// 获取数据类型
export const getDataType = (params) =>
  http.get('/system/pub/enums/data-type', { params });
//奖金来源
export const bonusSource = (params) =>
  http.post(
    '/bonus/manage/bonus/query-bonus-source?pageNum=' +
      params.pageNum +
      '&pageSize=' +
      params.pageSize,
    params
  );
//奖金汇总
export const queryBonusTotal = (params) =>
  http.post(
    '/bonus/manage/bonus/query-bonus-total?pageNum=' +
      params.pageNum +
      '&pageSize=' +
      params.pageSize,
    params
  );
//奖金明细
export const queryBonusDetail = (params) =>
  http.post(
    '/bonus/manage/bonus/query-bonus-detail?pageNum=' +
      params.pageNum +
      '&pageSize=' +
      params.pageSize,
    params
  );
//安置数据
export const getShowPlace = (params) =>
  http.post(
    '/member/manager/center/show-place?pageNum=' +
      params.pageNum +
      '&pageSize=' +
      params.pageSize,
    params
  );
//推荐数据
export const getShowRecommend = (params) =>
  http.post(
    '/member/manager/center/show-recommend?pageNum=' +
      params.pageNum +
      '&pageSize=' +
      params.pageSize,
    params
  );

// 获取创客空间详情
export const markerSpaceDetail = (params) =>
  http.get('/member/manage/maker-space/detail', { params });

// 获取超级工作室详情
export const superStudioDetails = (params) =>
  http.get('/member/manage/super-studio/detail', { params });

// 获取经销商详情
export const dealerDetails = (params) =>
  http.get('/member/manage/dealer/detail', { params });

// 顶点下拉选
export const topVertexList = (params) =>
  http.get('/member/manage/bonus-vertex-statis/vertexList', { params });
